# QTouchEvent_TouchPoint Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTouchEvent_TouchPoint(QTouchEvent_TouchPoint other)
- void QTouchEvent_TouchPoint(int id)

### Constructor Properties

- prototype: The QTouchEvent_TouchPoint prototype object

### Prototype Object Properties

- int id()
- bool isPrimary()
- QPointF lastNormalizedPos()
- QPointF lastPos()
- QPointF lastScenePos()
- QPointF lastScreenPos()
- QPointF normalizedPos()
- QTouchEvent_TouchPoint operator_assign(QTouchEvent_TouchPoint other)
- QPointF pos()
- qreal pressure()
- QRectF rect()
- QPointF scenePos()
- QRectF sceneRect()
- QPointF screenPos()
- QRectF screenRect()
- void setId(int id)
- void setLastNormalizedPos(QPointF lastNormalizedPos)
- void setLastPos(QPointF lastPos)
- void setLastScenePos(QPointF lastScenePos)
- void setLastScreenPos(QPointF lastScreenPos)
- void setNormalizedPos(QPointF normalizedPos)
- void setPos(QPointF pos)
- void setPressure(qreal pressure)
- void setRect(QRectF rect)
- void setScenePos(QPointF scenePos)
- void setSceneRect(QRectF sceneRect)
- void setScreenPos(QPointF screenPos)
- void setScreenRect(QRectF screenRect)
- void setStartNormalizedPos(QPointF startNormalizedPos)
- void setStartPos(QPointF startPos)
- void setStartScenePos(QPointF startScenePos)
- void setStartScreenPos(QPointF startScreenPos)
- void setState(TouchPointStates state)
- QPointF startNormalizedPos()
- QPointF startPos()
- QPointF startScenePos()
- QPointF startScreenPos()
- TouchPointState state()

### Instance Properties

QTouchEvent_TouchPoint objects have no special properties beyond those inherited from the QTouchEvent_TouchPoint prototype object.